[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [PATCH RFC] tools/hotplug: set mtu from bridge for tap interface


  • To: "xen-devel" <xen-devel@xxxxxxxxxxxxx>
  • From: "Charles Arnold" <carnold@xxxxxxxx>
  • Date: Mon, 16 Sep 2013 14:18:37 -0600
  • Delivery-date: Mon, 16 Sep 2013 20:19:14 +0000
  • List-id: Xen developer discussion <xen-devel.lists.xen.org>

With changeset 22885 support was added for setting the MTU in the vif-bridge 
script for when a vif interface was set to 'online'.  The was not done for the 
'add' operation.  The 'add' operation was added to the script for when tap 
devices were specified (c/s 21944). With the setting of the MTU for the 
'online' case was there a reason for omitting the 'add'?

This patch sets the MTU for both 'online' and 'add' in the vif-bridge script.

Signed-off-by: Charles Arnold <carnold@xxxxxxxx>

diff --git a/tools/hotplug/Linux/vif-bridge b/tools/hotplug/Linux/vif-bridge
index 9a6f82a..678262d 100644
--- a/tools/hotplug/Linux/vif-bridge
+++ b/tools/hotplug/Linux/vif-bridge
@@ -81,11 +81,7 @@ fi
 case "$command" in
     online)
         setup_virtual_bridge_port "$dev"
-        mtu="`ip link show $bridge | awk '/mtu/ { print $5 }'`"
-        if [ -n "$mtu" ] && [ "$mtu" -gt 0 ]
-        then
-                ip link set $dev mtu $mtu || :
-        fi
+        set_mtu $bridge $dev
         add_to_bridge "$bridge" "$dev"
         ;;
 
@@ -96,6 +92,7 @@ case "$command" in
 
     add)
         setup_virtual_bridge_port "$dev"
+        set_mtu $bridge $dev
         add_to_bridge "$bridge" "$dev"
         ;;
 esac
diff --git a/tools/hotplug/Linux/xen-network-common.sh 
b/tools/hotplug/Linux/xen-network-common.sh
index 8cff156..9a9526b 100644
--- a/tools/hotplug/Linux/xen-network-common.sh
+++ b/tools/hotplug/Linux/xen-network-common.sh
@@ -132,3 +132,14 @@ add_to_bridge () {
     ip link set ${dev} up
 }
 
+# Usage: set_mtu bridge dev
+set_mtu () {
+    local bridge=$1
+    local dev=$2
+    mtu="`ip link show ${bridge}| awk '/mtu/ { print $5 }'`"
+    if [ -n "$mtu" ] && [ "$mtu" -gt 0 ]
+    then
+            ip link set ${dev} mtu $mtu || :
+    fi
+}
+



_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxx
http://lists.xen.org/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.